Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class ApplicationViewPrescriptionType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewPrescriptionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class ApplicationViewPrescriptionType

extends Object
implements Serializable

Generiek type voor een medisch voorschrift in het beeld van een aanvraag.

Java class for ApplicationViewPrescriptionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewPrescriptionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApprovalNumberType" minOccurs="0"/>
             <element name="PrescriptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationViewPrescriptionType()`

Method Summary
`String` | `getApprovalNumber()` Gets the value of the approvalNumber property.
`org.joda.time.DateTime` | `getPrescriptionDate()` Gets the value of the prescriptionDate property.
`void` | `setApprovalNumber(String value)` Sets the value of the approvalNumber property.
`void` | `setPrescriptionDate(org.joda.time.DateTime value)` Sets the value of the prescriptionDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationViewPrescriptionType

    public ApplicationViewPrescriptionType()

Method Detail

### getApprovalNumber

    public String getApprovalNumber()

  Gets the value of the approvalNumber property.

  Returns:
    possible object is `String`

### setApprovalNumber

    public void setApprovalNumber(String value)

  Sets the value of the approvalNumber property.

  Parameters:
    `value` - allowed object is `String`

### getPrescriptionDate

    public org.joda.time.DateTime getPrescriptionDate()

  Gets the value of the prescriptionDate property.

  Returns:
    possible object is `String`

### setPrescriptionDate

    public void setPrescriptionDate(org.joda.time.DateTime value)

  Sets the value of the prescriptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.